Bug 113084 - Negative entitlements in entitlement proxy product mappings
Negative entitlements in entitlement proxy product mappings
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Chip Turner
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-01-08 06:57 EST by Greg DeKoenigsberg
Modified: 2007-10-23 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-15 09:32:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg DeKoenigsberg 2004-01-08 06:57:25 EST
Now that we're selling an entitlement that replaces one sort of slot
with another (upgrade management to provisioning), we need to be sure
that product mappings can add AND remove slots.

We also need to be sure that, when we remove slots, we set a lower
bound of 0 on the number of slots a customer can have.
Comment 1 Peter Jones 2004-01-08 17:39:47 EST
Ok, so right now we have a lower bound of zero (needs testing).

What we don't have is web_customer_entitlements and
rhnUserAvailableUpgrades (which is only concerned with basic slots

Fixing web_customer_entitlements is nonsensical.  I can make any
particular row of the results not display a number less than zero, but
then it'll show you having more entitlements than you have.  The code
that uses the view needs to know that it should look for some
entitlements and try to cancel out...

Comment 2 Greg DeKoenigsberg 2004-01-10 14:20:17 EST
If I remembered Chip's proposal on Thursday afternoon, I'd repeat it
here, but I don't.  I'll just trust that you remembered it and hand
the bug back to you.  :-)
Comment 3 Peter Jones 2004-01-12 19:47:12 EST
I think the agreement thursday afternoon was that I can't possibly do
anything meaningful to the views, and he'd solve it in application code.

Assigning to him now, to be sure I'm right, and that it's done (I
think it is).
Comment 4 Chip Turner 2004-01-14 12:47:42 EST
yeah this should be solved now; views more or less make sense, but it
isn't beautiful
Comment 5 Greg DeKoenigsberg 2004-01-15 09:32:41 EST
Closing this bug because it's now represented in 3 or 4 other bugs.  :-)

Note You need to log in before you can comment on or make changes to this bug.